%global momorel 1
Summary: WWWOFFLE - World Wide Web Offline Explorer
Name: wwwoffle
Version: 2.8b
Release: %{momorel}m
Group: System Environment/Daemons
URL: http://www.gedanken.demon.co.uk/wwwoffle/
Source0: http://www.gedanken.freeserve.co.uk/download-wwwoffle/%{name}-%{version}.tgz
NoSource: 0
Source1: wwwoffle
Source2: wwwoffle.rc
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig, grep, fileutils

%description
The wwwoffled program is a simple proxy server with special features
for use with dial-up internet links. This means that it is possible to
browse web pages and read them without having to remain connected.

%prep

%setup -q -n %{name}-%{version}

%build
%if %{_ipv6}
  %configure --with-spooldir=/var/spool/wwwoffle \
    --with-confdir=%{_sysconfdir} \
    --with-default-language=en \
    --with-ipv6
%else
  %configure --with-spooldir=/var/spool/wwwoffle \
    --with-confdir=%{_sysconfdir} \
    --with-default-language=en
%endif

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_initscriptdir}
cp %{SOURCE1} %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}%{_sysconfdir}/ppxp/rc
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/ppxp/rc

sed -e 's%SPOOLDIR%/var/spool/wwwoffle%' -e 's%CONFDIR%/etc%' < \
conf/wwwoffle.conf > conf/wwwoffle.conf.install 
install -c -m 640 conf/wwwoffle.conf.install %{buildroot}%{_sysconfdir}/wwwoffle.conf

mkdir -p %{buildroot}/var/spool/wwwoffle/ftp 

# remove... dasa...
rm -rf %{buildroot}%{buildroot}

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add wwwoffle
if [ -r /var/lock/subsys/wwwoffle ] ; then
    %{_initscriptdir}/wwwoffle stop >&2
    %{_initscriptdir}/wwwoffle start >&2
fi

%preun
if [ "$1" = "0" ]; then
    if [ -r /var/lock/subsys/wwwoffle ] ; then
        %{_initscriptdir}/wwwoffle stop >&2
    fi
    /sbin/chkconfig --del wwwoffle
fi

%files
%defattr(-,root,root)
%doc ChangeLog* doc/ANNOUNCE doc/CHANGES.CONF doc/CONVERT doc/COPYING
%doc doc/FAQ doc/INSTALL doc/NEWS doc/README*
%doc doc/de doc/es doc/fr doc/pl
%config %{_sysconfdir}/wwwoffle.conf
%config %{_sysconfdir}/ppxp/rc/wwwoffle.rc
%config %{_initscriptdir}/wwwoffle
%{_bindir}/wwwoffle*
%{_sbindir}/wwwoffled
%{_mandir}/man1/wwwoffle.1*
%{_mandir}/man5/wwwoffle.conf.5*
%{_mandir}/man8/wwwoffled.8*
/var/spool/wwwoffle

%changelog
* Sun May 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.8b-1m)
- update to 2.8b

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (2.7-16m)
- revised spec for rpm 4.2.

* Thu Jan 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.7-15m)
- 2.7h
- minor security fixes

* Thu Jan  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.7-14m)
- 2.7g
- minor feature enhencements

* Mon Jul 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.7-13m)
- 2.7d
- major bugfixes and minor feature enhancements

* Sun May  5 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.7-12k)
- 2.7b

* Mon Mar 18 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.7-10k)
- don't make patch-backup files to avoid installation problem

* Sat Mar 16 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.7-8k)
- 2.7a

* Wed Mar  6 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.7-6k)
- revise a patch

* Tue Mar  5 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.7-4k)
- add a patch to avoid '304 WWWOFFLE Not Modified' problem

* Tue Feb 12 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.7-2k)
- run chkconfig in %post but not make it activate by default

* Sat Dec  1 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (2.6d-10k)
- fix %preun

* Fri Nov 30 2001 Toru Hoshina <t@kondara.org>
- (2.6d-8k)
- comment out %chkconfig
- No docs could be excutable :-p

* Mon Oct 15 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.6d-6k)
- remove officious scripts from %post and %preun

* Sun Oct  7 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.6d-4k)
- add URL tag
- add official patches (ipv6-patch[123].diff, gzip-patch1.diff)
- remove wwwoffle-2.6d.ipv6.patch

* Fri Aug 31 2001 Kazuhiko <kazuhiko@kondara.org>
- remove 'ExclusiveArch: i386 i486 i586 i686 alpha alphaev5 sparc ppc'

* Thu Aug 30 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.6d-2k)
- original source now has ipv6 support
- add ipv6 bugfix patch

* Sun Jul  8 2001 Toru Hoshina <toru@df-usa.com>
- (2.6c-4k)
- add alphaev5 support.

* Mon May 28 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.6c-3k)
- add kame v6 patch

* Fri Apr 13 2001 Shingo Akagaki <dora@kondara.org>
- /etc/rc.d/init.d -> /etc/init.d

* Tue Mar  6 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.5e-10k)
- errased IPv6 functions with %{_ipv6} macro

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.5e-8k)
- added wwwoffle.Makefile.patch and modified spec file for compatibility

* Tue Nov 28 2000 Kenichi Matsubara <m@kondara.org>
- /etc/rc.d to %{_initscriptdir}.

* Sat Jul  1 2000 SUGAWARA Zenta <sugazen@pop02.odn.ne.jp>
- fixed %files section
- fixed %preun section

* Wed Jun 28 2000 Motonobu Ichimura <famao@kondara.org>
- merged IPv6-enable patch.

* Mon Jun 19 2000 TABUCHI Takaaki <tab@kondara.org>
- add sparc at ExclusiveArch

* Thu Jun 01 2000 KUSUNOKI Masanori <masanori@linux.or.jp>
- Enable IPv6.

* Mon May  8 2000 SUGAWARA Zenta <sugazen@pop02.odn.ne.jp>
- modified %post and %preun Section for ppp and ppxp

* Sun May 07 2000 TABUCHI Takaaki <tab@kondara.org>
- obsolete Requires: ppxp.

* Sun May  7 2000 SUGAWARA Zenta <sugazen@pop02.odn.ne.jp>
- modified conf.patch
- added tilde.patch

* Sat May 6 2000 Masahito Ohtsuka <negi@KU3G.org>
- some bug fix

* Sun Apr 27 2000 Papanda X Fujii <papanda@kondara.org>
- upgrade wwwoffle-2.5e 
- added PreReq

* Sun Mar 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group, BuildRoot, Summary(ja) )

* Sat Feb 19 2000 Tsutomu Yasuda <tom@kondara.org>
- added chmod +x 
- BuildArchitectures -> ExclusiveArch
- added to preun, remove wwwoffle entry from ppxp scripts.

* Sat Feb 12 2000 Toru Hoshina <t@kondara.org>
- added alpha architecture support. just added :-P

* Sat Feb 12 2000 Papanda X Fujii <papanda@linux.papa.to>
- modified wwwoffle.conf & /etc/rc.d/init.d/wwwoffle

* Mon Dec 27 1999 Masahito Ohtsuka <negi@KU3G.org>
- removed Makefile.patch

* Sun Sep 26 1999 Masahito Ohtsuka <negi@KU3G.org>
- moved wwwoffle.conf to /etc
